=== examples/assistant/CMakeLists.txt ===
# Generated from assistant.pro.

qt_internal_add_example(simpletextviewer)
qt_internal_add_example(remotecontrol)
