=== examples/uitools/CMakeLists.txt ===
# Generated from uitools.pro.

qt_internal_add_example(multipleinheritance)
qt_internal_add_example(textfinder)
