=== debian/changelog ===
qt6-tools (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update ABI to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:30:38 +0200

qt6-tools (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 21:58:01 +0100

qt6-tools (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 19:45:45 +0100

qt6-tools (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999890)

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Nov 2021 01:34:55 +0100
