## qt6-tools 6.3.1

=== debian/changelog ===
qt6-tools (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:59 +0200

qt6-tools (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update ABI to 6.3.1.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 04:20:01 +0200

qt6-tools (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update ABI to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove dependency to qtchooser as it is dead upstream.

 -- Patrick Franz <deltaone@debian.org>  Mon, 30 May 2022 16:51:12 +0200

qt6-tools (6.2.4-3) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency to qtchooser as it is dead upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Jul 2022 14:01:23 -0300

qt6-tools (6.2.4-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libqt6sql6-sqlite dependency to qt6-documentation-tools, as at least
    qhelpgenerator needs the QSQLITE plugin.
  * Add assistant-qt6, designer-qt6, linguist-qt6, qt6-documentation-tools, and
    qt6-l10n-tools as dependencies to qt6-tools-dev-tools: it is expected that
    installing the "dev tools" package installs them all.
  * Add the qt6-tools-dev-tools dependency to qt6-tools-dev: the latter has
    cmake config files with targets for the tools, so it makes sense to not
    have to install tools based on which cmake target is being used.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:39 +0200
