=== tests/auto/qhelpcontentmodel/CMakeLists.txt ===
# Generated from qhelpcontentmodel.pro.

#####################################################################
## tst_qhelpcontentmodel Test:
#####################################################################

qt_internal_add_test(tst_qhelpcontentmodel
    SOURCES
        tst_qhelpcontentmodel.cpp
    DEFINES
        QT_USE_USING_NAMESPACE
        SRCDIR=\\\"${CMAKE_CURRENT_SOURCE_DIR}\\\"
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Help
)
