=== tests/manual/qtattributionsscanner/CMakeLists.txt ===
# Generated from qtattributionsscanner.pro.
