=== debian/changelog ===
qt6-tools (6.4.2~rc1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Adjust dependencies so the package can build in stable.
    - Decrease clang/LLVM version.
    - Use internal liblitehtml.
  * Adjust symbols files with current build logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 16:27:36 -0300

qt6-tools (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:08 +0100

qt6-tools (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Force libclang-dev and llvm-dev to use the llvm-15 toolchain explicitly.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:47 +0100

qt6-tools (6.4.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Force again build with clang-15.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 01:43:02 +0100

qt6-tools (6.4.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with clang-14.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:30:15 +0100

qt6-tools (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 11:37:08 +0100

qt6-tools (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.
  * Remove fix-build-with-clang-15.patch as it has been applied
    upstream.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 19:46:41 +0100

qt6-tools (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Force build with clang-15.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 11:42:25 +0100

qt6-tools (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove redundant B-D.
  * Enable link time optimization (Closes: #1015625).

  [ Rob Savoury ]
  * Actually build with system litehtml (Closes: #1018004):
    - debian/patches/: Add fix-build-with-system-litehtml.patch to fix FTBFS
    - debian/control: Bump to liblitehtml-dev (>= 0.6~) B-D for the
      exact version included in src:qt6-tools, required for successful build

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Nov 2022 13:21:20 +0100

qt6-tools (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split qdbus out of qt6-tools-dev-tools, as it might be required by an
    applications as a helper binary.
    - Make qt6-tools-dev-tools depend upon qdbus-qt6.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update ABI to 6.4.0.
  * Update B-Ds.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 14:03:37 +0200

qt6-tools (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Sep 2022 11:08:25 -0300

qt6-tools (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 13:44:27 -0300
