=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
-Build-Depends: clang (>= 1:13~),
-               cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+Build-Depends: clang,
+               cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-dev (>= 1:13~),
+               libclang-dev,
                libgl-dev,
-               liblitehtml-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
-               llvm-dev (>= 1:13~),
+               llvm-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -30,7 +30,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.3.1)
+Provides: qt6-designer-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Designer library
@@ -55,7 +55,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.3.1)
+Provides: qt6-help-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Help library
@@ -68,7 +68,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.3.1)
+Provides: qt6-uitools-abi (= 6.4.2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 UI tools library
@@ -111,6 +111,19 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  Qt Linguist is a tool for adding translations to Qt applications.
+
+Package: qdbus-qt6
+Architecture: any
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt6-tools-dev-tools (<< 6.3.1-2~)
+Replaces: qt6-tools-dev-tools (<< 6.3.1-2~)
+Description: Qt 6 D-Bus application
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ qdbus is a tool for listing D-Bus services and its properties.
 
 Package: qt6-documentation-tools
 Architecture: any
@@ -183,6 +196,7 @@
 Depends: assistant-qt6 (= ${binary:Version}),
          designer-qt6 (= ${binary:Version}),
          linguist-qt6 (= ${binary:Version}),
+         qdbus-qt6 (= ${binary:Version}),
          qt6-documentation-tools (= ${binary:Version}),
          qt6-l10n-tools (= ${binary:Version}),
          ${misc:Depends},
